summaryrefslogtreecommitdiffstats
path: root/tests/functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/functions.sh')
-rw-r--r--tests/functions.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/functions.sh b/tests/functions.sh
index fe7ce6d7b..19e8a46b8 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -719,3 +719,13 @@ function ts_init_socket_to_file {
ts_skip "socat socket stopped listening"
fi
}
+
+function ts_has_mtab_support {
+ grep -q '#define USE_LIBMOUNT_SUPPORT_MTAB' ${top_builddir}/config.h
+ if [ $? == 0 ]; then
+ echo "yes"
+ else
+ echo "no"
+ fi
+}
+